> For the complete documentation index, see [llms.txt](https://docs.kairos-timeboost.xyz/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.kairos-timeboost.xyz/json-rpc-endpoints/stats-apis/timeboost_getorderinfo.md).

# timeboost\_getOrderInfo

Use this endpoint to trace a transaction/bundle based on a UUID.

A UUID is returned in the response when a transaction/bundle is submitted. This UUID can then be used to query detailed information about the specific submission.

### Request Body

```json
{
  "jsonrpc": "2.0",
  "id": 1,
  "method": "timeboost_getOrderInfo",
  "params": [
    // [String] The order's UUID, returned upon successful submission.
    "123e4567-e89b-12d3-a456-426614174000",           
  ]
}
```

### CURL Example

```bash
curl -X POST \
  -H "Content-Type: application/json" \
  -d '{
    "jsonrpc": "2.0",
    "method": "timeboost_getOrderInfo",
    "params": ["123e4567-e89b-12d3-a456-426614174000"],
    "id": 1
  }' \
  https://rpc.kairos-timeboost.xyz
```

### Response Fields

```c
/// The id returned when submitting the tx/bundle.
uuid: String,
/// Type of payload submitted: `0` for a transaction, `1` for a bundle.
payload_type: Integer,
/// The hash of the transaction. Only applicable for single transaction payloads.
tx_hash: String,
/// The Ethereum address of the transaction sender.
sender: String,
/// Timestamp (UTC) when the order was received by the RPC server.
recv_ts: String,
/// Contains an error message if the submitted order was malformed or invalid.
order_validation: String,
/// The Timeboost round number active when the order was processed.
round: Integer,
/// `true` if the transaction was successfully simulated.
sim_status: bool,
/// The type of simulation performed (e.g., "tob" for top-of-block, "seq" for sequence simulation).
sim_type: String,
/// Contains the error message from a failed simulation.
sim_result: String,
/// The hash of the specific transaction that failed during a bundle simulation.
sim_tx_hash: String,
/// `true` if the transaction reverted during simulation.
reverted: bool,
/// Estimated payment calculated from the initial top-of-block simulation.
payment_initial_sim: String,
/// Estimated payment calculated from the final sequence simulation.
payment_block_sim: String,
/// **DEPRECATED**: This field is obsolete and will be removed. Avoid using it.
cutoff_ms: Integer,
/// The 0-based index of this order within the constructed sequence.
pos_in_sequence: Integer,
/// `true` if the order was included in a sequence sent to the builder.
sent_to_sequencer: bool,
/// The sequence number this order was associated with when sent.
seq: Integer,
/// Timestamp (UTC) when the sequence was sent to the builder.
seq_ts: String,
/// `true` if Kairos controlled the Expresslane when this order was processed.
express_lane_controller: bool,
/// The HTTP status code received from the builder after submission.
express_lane_status_code: Integer,
/// The reason phrase or error message from the builder's HTTP response.
express_lane_reason: String,
/// Timestamp (UTC) of the reply from the builder.
express_lane_reply_ts: String,
/// The block number where this transaction was mined. Populated once confirmed.
mined_block_number: Integer,

```

### ‍**Response Example** <a href="#response-example" id="response-example"></a>

#### Successfully Sent to Express Lane

```json
{
  "jsonrpc": "2.0",
  "id": 1,
  "result": {
    "uuid": "3213f42a-6da3-44ea-9d71-55ca5affea45",
    "payload_type": 0,
    "tx_hash": "d0845898d06c783c8251e98b5678e78355f3cbe7456ded481c4fd57892ed8dd5",
    "sender": "2798a73dd32a2eafe849825a4b515ae5187eda29",
    "recv_ts": "2025-11-12T09:57:30.293Z",
    "order_validation": "",
    "round": 584524,
    "sim_status": true,
    "sim_type": "",
    "sim_result": "",
    "sim_tx_hash": "",
    "reverted": false,
    "payment_initial_sim": "13",
    "payment_block_sim": "13",
    "cutoff_ms": 1762941450293,
    "pos_in_sequence": 0,
    "sent_to_sequencer": true,
    "seq": 0,
    "seq_ts": "2025-11-12T09:57:30.296+00:00",
    "express_lane_controller": true,
    "express_lane_status_code": 200,
    "express_lane_reason": "",
    "express_lane_reply_ts": "2025-11-12T09:57:30.321Z",
    "mined_block_number": 214418215
  }
}
```

#### Failed Bundle Simulation

```json
{
  "jsonrpc": "2.0",
  "id": 1,
  "result": {
    "uuid": "d06d7885-f9ff-4984-8481-b59b2aa48db2",
    "payload_type": 0,
    "tx_hash": "993a7cdff9bcc0f1b15b6ef559a44d64c48da04d47618c96f03865cda8cecca4",
    "sender": "3333a73dd32a2eafe849825a4b515ae5187eda42",
    "recv_ts": "2025-11-13T10:44:22.188Z",
    "order_validation": "",
    "round": 586011,
    "sim_status": false,
    "sim_type": "block_sim",
    "sim_result": "{"err_type":"evm_error","err_txt":"nonce too low: address 0x3333A73dd32A2eafE849825a4b515aE5187eDA42, tx: 419453 state: 419454"}",
    "sim_tx_hash": "993a7cdff9bcc0f1b15b6ef559a44d64c48da04d47618c96f03865cda8cecca4",
    "reverted": false,
    "payment_initial_sim": "13",
    "payment_block_sim": "0",
    "cutoff_ms": 1763030662188,
    "pos_in_sequence": 1,
    "sent_to_sequencer": false,
    "seq": 0,
    "seq_ts": "",
    "express_lane_controller": true,
    "express_lane_status_code": 0,
    "express_lane_reason": "",
    "express_lane_reply_ts": "1970-01-01T00:00:00Z",
    "mined_block_number": null
  }
} 
```

If the uuid is not found, response will be: `{"jsonrpc":"2.0","id":1,"result":null}.`


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.kairos-timeboost.xyz/json-rpc-endpoints/stats-apis/timeboost_getorderinfo.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
